EDIT - feature request #5016

Use asynchronous loading for images
06/19/2015 07:30 PM - Andreas Mdller

Status: New Start date:

Priority: Priority12 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal

Description

Loading images for image rich higher taxa takes time. We may try to improve performance by spliiting loading into
* |oad complete uuid list and create placeholders for each image

e asynchronous loading for each uuid or ranges of uuids (the first ~12 images are most important, further images may load later

Previous ticket #2686
For details and examples see there

Maybe to be implemented together with asynchrounous implementation for general page (ticket ?)

Related issues:

Related to EDIT - bug #9610: MediaMetadataFileReader (formerly in Cdmimagelnf... In Progress
Related to EDIT - feature request #5015: Use treeindex for loading of aggrega... New
Related to EDIT - task #4978: Further performance improvement of portal/taxon... New
History

#1 - 06/22/2015 01:54 PM - Andreas Miller

- Subject changed from Use asynchcronous loading for images to Use asynchronous loading for images

#2 - 07/21/2015 03:03 PM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to Reviewed other components

- Priority changed from New to Priority13

#3 - 02/19/2019 03:34 PM - Andreas Miiller
- Priority changed from Priority13 to Priority10

#5 - 03/23/2022 11:34 AM - Andreas Miiller
- Related to bug #9610: MediaMetadataFileReader (formerly in Cdmimagelinfo) loads same image file multiple times added

#6 - 03/23/2022 11:34 AM - Andreas Miiller

- Related to feature request #5015: Use treeindex for loading of aggregated images added

#7 - 03/23/2022 11:35 AM - Andreas Miiller

- Related to task #4978: Further performance improvement of portal/taxon/{uuid}/media added

#8 - 03/23/2022 11:35 AM - Andreas Miiller

- Description updated

- Assignee changed from Andreas Kohlbecker to Andreas Miller

- Priority changed from Priority10 to Priority12

- Target version changed from Reviewed Next Major Release to Release 5.44

- Private changed from Yes to No
#9 - 02/14/2024 11:58 PM - Andreas Miiller
- Description updated

- Target version changed from Release 5.44 to Release 5.43
